Bug 530407 - ruby crashes with certain unqualified constant references
ruby crashes with certain unqualified constant references
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 12:55 EDT by Will Benton
Modified: 2010-08-23 17:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: ruby-1.8.6.399-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 17:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
short example program that crashes ruby 1.8.6 in F11 and F12 beta (820 bytes, application/octet-stream)
2009-10-22 12:55 EDT, Will Benton
no flags Details

  None (edit)
Description Will Benton 2009-10-22 12:55:39 EDT
Created attachment 365757 [details]
short example program that crashes ruby 1.8.6 in F11 and F12 beta

Description of problem:

The ruby interpreter crashes when executing code that refers to an unqualified constant name if this code is contained in some method that has been added to a particular object (either via "def obj.meth" or via a def from within a "class << obj").

Version-Release number of selected component (if applicable):

1.8.6  (under both F11 and F12 beta)

How reproducible:

Run the attached code.
  
Actual results:

The ruby interpreter segfaults at the first reference to a constant from within the "declare" method.

Expected results:

Programs, even those that contain syntactic or semantic errors, should execute without crashing the ruby interpreter.  (This particular case works in ruby 1.8.5 on RHEL 5.4.)
Comment 1 Bug Zapper 2009-11-16 09:04:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-05-14 15:49:51 EDT
ruby-1.8.6.399-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc13
Comment 4 Fedora Update System 2010-05-14 15:50:16 EDT
ruby-1.8.6.399-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc12
Comment 5 Fedora Update System 2010-05-15 16:42:02 EDT
ruby-1.8.6.399-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-1.8.6.399-3.fc12
Comment 6 Fedora Update System 2010-05-17 11:36:10 EDT
ruby-1.8.6.399-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc13
Comment 7 Fedora Update System 2010-05-17 11:38:19 EDT
ruby-1.8.6.399-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc12
Comment 8 Fedora Update System 2010-05-18 17:59:24 EDT
ruby-1.8.6.399-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ruby'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ruby-1.8.6.399-4.fc12
Comment 9 Fedora Update System 2010-05-26 17:47:33 EDT
ruby-1.8.6.399-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-26 17:49:49 EDT
ruby-1.8.6.399-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-22 14:07:58 EDT
ruby-1.8.6.399-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-6.fc13
Comment 12 Fedora Update System 2010-08-22 14:10:58 EDT
ruby-1.8.6.399-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-6.fc12
Comment 13 Fedora Update System 2010-08-23 17:56:30 EDT
ruby-1.8.6.399-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.